NamedGroup (xmlbeans API)

org.apache.xmlbeans.impl.xb.xsdschema

## Interface NamedGroup

- All Superinterfaces:
    Annotated, Group, OpenAttrs, RealGroup, XmlObject, XmlTokenSource
  All Known Implementing Classes:
    NamedGroupImpl

      public interface NamedGroup
      extends RealGroup

  An XML namedGroup(@http://www.w3.org/2001/XMLSchema). This is a complex type.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `NamedGroup.All` An XML all(@http://www.w3.org/2001/XMLSchema).

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DocumentFactory<NamedGroup>` | `Factory`
    `static SchemaType` | `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()` Gets the "name" attribute
    `boolean` | `isSetName()` True if has "name" attribute
    `void` | `setName(String name)` Sets the "name" attribute
    `void` | `unsetName()` Unsets the "name" attribute
    `XmlNCName` | `xgetName()` Gets (as xml) the "name" attribute
    `void` | `xsetName(XmlNCName name)` Sets (as xml) the "name" attribute

    - ### Methods inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.RealGroup

      `addNewAll, addNewChoice, addNewSequence, getAllArray, getAllArray, getAllList, getChoiceArray, getChoiceArray, getChoiceList, getSequenceArray, getSequenceArray, getSequenceList, insertNewAll, insertNewChoice, insertNewSequence, removeAll, removeChoice, removeSequence, setAllArray, setAllArray, setChoiceArray, setChoiceArray, setSequenceArray, setSequenceArray, sizeOfAllArray, sizeOfChoiceArray, sizeOfSequenceArray`

    - ### Methods inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.Group

      `addNewAny, addNewElement, addNewGroup, getAnyArray, getAnyArray, getAnyList, getElementArray, getElementArray, getElementList, getGroupArray, getGroupArray, getGroupList, getMaxOccurs, getMinOccurs, getRef, insertNewAny, insertNewElement, insertNewGroup, isSetMaxOccurs, isSetMinOccurs, isSetRef, removeAny, removeElement, removeGroup, setAnyArray, setAnyArray, setElementArray, setElementArray, setGroupArray, setGroupArray, setMaxOccurs, setMinOccurs, setRef, sizeOfAnyArray, sizeOfElementArray, sizeOfGroupArray, unsetMaxOccurs, unsetMinOccurs, unsetRef, xgetMaxOccurs, xgetMinOccurs, xgetRef, xsetMaxOccurs, xsetMinOccurs, xsetRef`

    - ### Methods inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.Annotated

      `addNewAnnotation, getAnnotation, getId, isSetAnnotation, isSetId, setAnnotation, setId, unsetAnnotation, unsetId, xgetId, xsetId`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### Factory

          static final DocumentFactory<NamedGroup> Factory

    - #### type

          static final SchemaType type

  - ### Method Detail

    - #### getName

          String getName()

      Gets the "name" attribute
      Specified by:
        `getName` in interface `Group`

    - #### xgetName

          XmlNCName xgetName()

      Gets (as xml) the "name" attribute
      Specified by:
        `xgetName` in interface `Group`

    - #### isSetName

          boolean isSetName()

      True if has "name" attribute
      Specified by:
        `isSetName` in interface `Group`

    - #### setName

          void setName(String name)

      Sets the "name" attribute
      Specified by:
        `setName` in interface `Group`

    - #### xsetName

          void xsetName(XmlNCName name)

      Sets (as xml) the "name" attribute
      Specified by:
        `xsetName` in interface `Group`

    - #### unsetName

          void unsetName()

      Unsets the "name" attribute
      Specified by:
        `unsetName` in interface `Group`